Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: libpappsomspp
Source: https://salsa.debian.org/debichem-team/libpappsomspp


License: GPL-3+
 On Debian systems you can read the full text of the GNU GENERAL PUBLIC
 LICENSE at /usr/share/common-licenses/GPL-3.


License: Apache-2.0
 Apache License Version 2.0
 .
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
 http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 .
 On Debian systems you can read the full text of the Apache 2.0 
 LICENSE at /usr/share/common-licenses/Apache-2.0.License: Apache-2.0


License: Zlib
 .
 This software is provided 'as-is', without any express or implied
 warranty.  In no event will the authors be held liable for any damages
 arising from the use of this software.
 .
 Permission is granted to anyone to use this software for any purpose,
 including commercial applications, and to alter it and redistribute it
 freely, subject to the following restrictions:
 .
 1. The origin of this software must not be misrepresented; you must
    not claim that you wrote the original software. If you use this
    software in a product, an acknowledgment in the product
    documentation would be appreciated but is not required.
 2. Altered source versions must be plainly marked as such, and must
    not be misrepresented as being the original software.
 3. This notice may not be removed or altered from any source
    distribution.


License: Boost Software License - Version 1.0 - August 17th, 2003
 . 
 Permission is hereby granted, free of charge, to any person or organization
 obtaining a copy of the software and accompanying documentation covered by
 this license (the "Software") to use, reproduce, display, distribute,
 execute, and transmit the Software, and to prepare derivative works of the
 Software, and to permit third-parties to whom the Software is furnished to
 do so, all subject to the following:
 . 
 The copyright notices in the Software and this entire statement, including
 the above license grant, this restriction and the following disclaimer,
 must be included in all copies of the Software, in whole or in part, and
 all derivative works of the Software, unless such copies or derivative
 works are solely in the form of machine-executable object code generated by
 a source language processor.
 . 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.

 
Files: *
Copyright: 2015-2018 Olivier Langella <olivier.langella@universite-paris-saclay.fr>
 2017, 2018, 2019 Filippo Rusconi <filippo.rusconi@universite-paris-saclay.fr>
License: GPL-3+


Files: src/custompwiz/pwiz/analysis/demux/DemuxDataProcessingStrings.hpp
 src/custompwiz/pwiz/analysis/spectrum_processing/SpectrumList_Demux.hpp
Copyright: Jarrett Egertson <jegertso .@. uw.edu>
License: Apache-2.0


Files: src/custompwiz/pwiz/analysis/spectrum_processing/SpectrumListFactory.hpp
 src/custompwiz/pwiz/data/common/CVTranslator.[ch]pp
 src/custompwiz/pwiz/data/common/ParamTypes.[ch]pp
 src/custompwiz/pwiz/data/common/cv.[ch]pp
 src/custompwiz/pwiz/data/common/cv.inl
 src/custompwiz/pwiz/data/common/diff_std.[ch]pp
 src/custompwiz/pwiz/data/msdata/BinaryDataEncoder.[ch]pp
 src/custompwiz/pwiz/data/msdata/ChromatogramListBase.hpp
 src/custompwiz/pwiz/data/msdata/ChromatogramList_mzML.[ch]pp
 src/custompwiz/pwiz/data/msdata/DefaultReaderList.[ch]pp
 src/custompwiz/pwiz/data/msdata/Diff.hpp
 src/custompwiz/pwiz/data/msdata/IO.[ch]pp
 src/custompwiz/pwiz/data/msdata/LegacyAdapter.[ch]pp
 src/custompwiz/pwiz/data/msdata/MSData.[ch]pp
 src/custompwiz/pwiz/data/msdata/MSDataFile.[ch]pp
 src/custompwiz/pwiz/data/msdata/Reader.[ch]pp
 src/custompwiz/pwiz/data/msdata/References.[ch]pp
 src/custompwiz/pwiz/data/msdata/SHA1OutputObserver.hpp
 src/custompwiz/pwiz/data/msdata/Serializer_mzML.[ch]pp
 src/custompwiz/pwiz/data/msdata/Serializer_mzXML.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumInfo.hpp
 src/custompwiz/pwiz/data/msdata/SpectrumListBase.hpp
 src/custompwiz/pwiz/data/msdata/SpectrumListWrapper.hpp
 src/custompwiz/pwiz/data/msdata/SpectrumList_BTDX.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_MGF.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_MSn.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_mzML.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_mzXML.[ch]pp
 src/custompwiz/pwiz/data/msdata/TextWriter.hpp
 src/custompwiz/pwiz/data/msdata/Version.[ch]pp
 src/custompwiz/pwiz/data/msdata/examples.hpp
 src/custompwiz/pwiz/utility/minimxml/SAXParser.[ch]pp
 src/custompwiz/pwiz/utility/minimxml/XMLWriter.[ch]pp
 src/custompwiz/pwiz/utility/math/round.hpp
 src/custompwiz/pwiz/utility/misc/optimized_lexical_cast.hpp
 src/custompwiz/pwiz/utility/misc/IterationListener.cpp
 src/custompwiz/pwiz/utility/misc/String.hpp
 src/custompwiz/pwiz/utility/misc/virtual_map.hpp
 src/custompwiz/pwiz/utility/misc/Export.hpp
 src/custompwiz/pwiz/utility/misc/endian.hpp
 src/custompwiz/pwiz/utility/misc/Base64Test.cpp
 src/custompwiz/pwiz/utility/misc/Filesystem.[ch]pp
 src/custompwiz/pwiz/utility/misc/Stream.hpp
 src/custompwiz/pwiz/utility/misc/IterationListener.hpp
 src/custompwiz/pwiz/utility/misc/IntegerSet.hpp
 src/custompwiz/pwiz/utility/misc/Exception.hpp
 src/custompwiz/pwiz/utility/misc/IntegerSet.cpp
 src/custompwiz/pwiz/utility/misc/SHA1Calculator.[ch]pp
 src/custompwiz/pwiz/utility/misc/Container.hpp
Copyright: 2007, 2008, 2009, Spielberg Family Center for Applied Proteomics
License: Apache-2.0


Files: src/custompwiz/pwiz/data/msdata/Index_mzML.[ch]pp
 src/custompwiz/pwiz/data/msdata/Serializer_MGF.[ch]pp
 src/custompwiz/pwiz/data/msdata/Serializer_MSn.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_BTDX.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_MGF.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumList_MSn.[ch]pp
 src/custompwiz/pwiz/data/msdata/SpectrumWorkerThreads.[ch]pp
 src/custompwiz/pwiz/utility/misc/optimized_lexical_cast.hpp
 src/custompwiz/pwiz/utility/misc/Environment.hpp
 src/custompwiz/pwiz/utility/misc/String.hpp
 src/custompwiz/pwiz/utility/misc/BinaryData.[ch]pp
 src/custompwiz/pwiz/utility/misc/DateTime.hpp
 src/custompwiz/pwiz/utility/misc/virtual_map.hpp
 src/custompwiz/pwiz/utility/misc/Export.hpp
 src/custompwiz/pwiz/utility/misc/Filesystem.[ch]pp
 src/custompwiz/pwiz/utility/misc/Stream.hpp
 src/custompwiz/pwiz/utility/misc/Exception.hpp
 src/custompwiz/pwiz/utility/misc/Std.hpp
 src/custompwiz/pwiz/utility/misc/shared_map.hpp
 src/custompwiz/pwiz/utility/misc/Singleton.hpp
 src/custompwiz/pwiz/utility/misc/Container.hpp
 src/custompwiz/pwiz/utility/chemistry/MzMobilityWindow.hpp
Copyright: 2008, 2011, 2014, Vanderbilt University - Nashville, TN 37232
 2017, 2009, Matt Chambers <matt.chambers .@. vanderbilt.edu>
License: Apache-2.0


Files: src/custompwiz/pwiz/data/msdata/MSNumpress.[ch]pp
Copyright: 2013, Johan Teleman
License: Apache-2.0


Files: src/custompwiz/pwiz/data/msdata/Serializer_mz5.hpp
Copyright: 2011 Proteomics Center Children's Hospital Boston, Boston, MA 02135
License: Apache-2.0


Files: src/custompwiz/pwiz/utility/minimxml/SAXParser.[ch]pp
 src/custompwiz/pwiz/utility/misc/random_access_compressed_ifstream.hpp
 src/custompwiz/pwiz/utility/misc/random_access_compressed_ifstream.cpp
Copyright: 2008, 2011, Insilicos LLC All Rights Reserved
License: Apache-2.0


Files: src/custompwiz/pwiz/utility/findmf/base/base/interpolate.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/constants.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/scale.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/diff.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/utilities/interpolation.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/utilities/base.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/copyif.hpp
 src/custompwiz/pwiz/utility/findmf/base/base/base.hpp
 src/custompwiz/pwiz/utility/findmf/base/resample/bin1d.hpp
 src/custompwiz/pwiz/utility/findmf/base/resample/masscomparefunctors.hpp
 src/custompwiz/pwiz/utility/findmf/base/resample/utilities/determinebinwidth.hpp
 src/custompwiz/pwiz/utility/findmf/base/resample/convert2dense.hpp
 src/custompwiz/pwiz/utility/findmf/base/resample/determinebinwidth.hpp
 src/custompwiz/pwiz/utility/findmf/base/resample/breakspec.hpp
 src/custompwiz/pwiz/utility/findmf/base/filter/filter.hpp
 src/custompwiz/pwiz/utility/findmf/base/filter/utilities/gauss.hpp
 src/custompwiz/pwiz/utility/findmf/base/filter/utilities/preparedata.hpp
 src/custompwiz/pwiz/utility/findmf/base/filter/gaussfilter.hpp
 src/custompwiz/pwiz/utility/findmf/base/ms/peakpickerqtof.hpp
 src/custompwiz/pwiz/utility/findmf/base/ms/simplepicker.hpp
Copyright: ETH Zurich
License: Apache-2.0


Files: src/custompwiz/pwiz/utility/misc/SHA1.*
Copyright: Dominik Reichl <dominik.reichl@t-online.de>
License: Public domain


Files: src/custompwiz/pwiz/utility/misc/unit.hpp
 src/custompwiz/pwiz/utility/misc/Base64.[ch]pp
 src/custompwiz/pwiz/utility/chemistry/Chemistry.hpp
Copyright: 2005, 2006, Louis Warschaw Prostate Cancer Center
License: Apache-2.0


Files: src/custompwiz/pwiz/utility/misc/random_access_compressed_ifstream.hpp
 src/custompwiz/pwiz/utility/misc/random_access_compressed_ifstream.cpp
 Copyright: 1995-2005 Jean-loup Gailly
License: Apache-2.0


Files: src/custompwiz/pwiz/utility/misc/mru_list.hpp
Copyright: 2003-2008, Joaquin M Lopez Munoz
License: Boost Software License, Version 1.0.

Files: src/custompwiz/pwiz/utility/chemistry/MZTolerance.hpp
Copyright: 2009, Center for Applied Molecular Medicine, University of Southern California, Los Angeles, CA
License: Apache-2.0
